/*******************************************************************************
 * Copyright 2013 butor.com
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.butor.checksum;

import java.util.concurrent.TimeUnit;

public interface ChecksumFunction {
	/**
	 * Generate the checksum of an object
	 * @param object
	 * @return the checksum
	 */
	String generateChecksum(String object);
	
	String generateChecksumWithTTL(String object, long duration, TimeUnit unit);

	/**
	 * 
	 * @param object that we want to validate the checksum on
	 * @param checksum to validate
	 * @return true if the checksum is good
	 */
	boolean validateChecksum(String object, String checksum);

}
