/*******************************************************************************
 * Copyright 2013 butor.com
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.butor.profile;

import java.util.List;

/**
 * 
 * @author Aiman SAWAN
 */
public interface IProfile {
	/**
	 * Set property profile
	 */
	public String getProperty(String key);
	/**
	 * Set property profile
	 */
	public void setProperty(String key, String value);
	/**
	 * Sets and save property value.
	 * @return true if save succeed, false otherwise.
	 */
	public boolean saveProperty(String key, String value);
	/**
	 * get profile identifier
	 */
	public String getId();
	/**
	 * @return List of Role
	 */
	List getRoles();
}
