/*******************************************************************************
 * Copyright 2013 butor.com
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.butor.profile;

import java.util.HashMap;
import java.util.List;

/**
 * 
 * @author Aiman Sawan
 */
public class Profile implements IProfile {

	protected String f_profileId = "";
	protected HashMap f_profileData = null;
	
	/**
	 * ProfileData constructor comment.
	 * 
	 * @param profileId, the profile id.
	 * @param props HashMap, profile properties that must be retreived
	 * 	as key=value pairs.
	 */
	public Profile(String profileId, HashMap props) {
		super();

		f_profileId = profileId;
	
		if (props != null) {
			f_profileData = (HashMap) props.clone();
		} else {
			f_profileData = new HashMap(10);		
		}
	}
	/**
	 * get property value
	 */
	public String getProperty(String key) {
		if (f_profileData.containsKey(key)) {
			return (String) f_profileData.get(key);
		}

		return null;
	}
	/**
	 * Get profile id
	 */
	public String getId() {
		return f_profileId;
	}
	/**
	 * Sets and save property value.
	 * @return true if save succeed, false otherwise.
	 */
	public boolean saveProperty(String key, String value) {
		setProperty(key, value);
		return false;
	}
	/**
	 * Set property value
	 */
	public void setProperty(String key, String value) {

		if (key == null || value == null) {
			return;
		}

		if (f_profileData.containsKey(key)) {
			f_profileData.remove(key);
		}

		f_profileData.put(key, value);
	}
	/**
	 * @return List of Role
	 */
	public List getRoles() {
		return null;
	}
}
