/*******************************************************************************
 * Copyright 2013 butor.com
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.butor.utils;

import java.io.File;
import java.io.FileFilter;
import java.util.regex.Matcher;
import java.util.regex.Pattern;


/**
 * @author sawanai
 */
public class PatternFileFilter implements FileFilter {

	protected Pattern[] patterns = null;

	public PatternFileFilter(Pattern[] patterns) {
		this.patterns = patterns;
	}
	
	/**
	 * @see IFileFilter#accept(File)
	 */
	public boolean accept(File file) {
		if (patterns == null || patterns.length == 0) {
			return true;
		}
		
		for (int i=0; i<patterns.length; i++) {
			Matcher matcher = patterns[i].matcher(file.getName());
			if (matcher.find()) {
				return true;
			}
		}
		return false;
	}
}
